View Issue Details

IDProjectCategoryView StatusLast Update
0000558luatexluatex bugpublic2011-04-12 11:06
ReporterphiAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86-64OSUbuntuOS VersionKernel 2.6.32
Product Version0.65.0 
Target VersionFixed in Version0.66.0 
Summary0000558: \directlua followed by \pdfximage generates error if draft mode is active
DescriptionIn the current directory there is an arbitrary image file "image.png". When I compile the following document

\directlua{tex.sprint("a")}
\pdfximage{image.png}
\bye

with "luatex --draftmode", the following error is raised:

This is LuaTeX, Version beta-0.65.0-2010121316
(./test.tex
! LuaTeX error (setup): \pdfdraftmode cannot be changed after data is written t
o the PDF file.
\plainoutput ...headline \pagebody \makefootline }
                                                  \advancepageno \ifnum \out...
<output> {\plainoutput
                       }
\supereject ->\par \penalty -\@MM
                                  
\bye ->\par \vfill \supereject
                               \end
l.3 \bye
        
! ==> Fatal error occurred, no output PDF file produced!
Transcript written on test.log.
TagsNo tags attached.

Activities

hhenkel

2011-01-11 21:57

manager   ~0000725

should be fixed in SVN 4061. Please test.

phi

2011-01-12 10:19

reporter   ~0000726

seems to work in my case

Taco

2011-04-12 11:06

administrator   ~0000807

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2011-01-11 17:46 phi New Issue
2011-01-11 21:57 hhenkel Note Added: 0000725
2011-01-12 10:19 phi Note Added: 0000726
2011-02-10 10:29 Taco Status new => resolved
2011-02-10 10:29 Taco Resolution open => fixed
2011-02-10 10:29 Taco Assigned To => Taco
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000807
2011-04-12 11:06 Taco Status resolved => closed